/**
 * Created with JetBrains WebStorm.
 * User: Cmma
 * Date: 7/23/14
 * Time: 12:36 PM
 * To change this template use File | Settings | File Templates.
 */


function Upload() {

    this.SetProValue = function(value) {
        $("#proValue").css("width",value + "%");
        $("#proMsg")[0].innerHTML = "上传中" + value + "%";
    }

    this.SetUploadingStatus = function() {
        $("#proUploading").show();
        $("#proUploaded").hide();
        $('#proUploadedFailed').hide();

    }

    this.SetUploadedStatus = function() {
        $("#proUploading").hide();
        $("#proUploaded").show();
        $('#proUploadedFailed').hide();

    }

    this.SetFailedStatus = function() {
        $("#proUploading").hide();
        $("#proUploaded").hide();
        $('#proUploadedFailed').show();
    }

    this.SetErrorMsg = function(msg) {
        $("#errMsg").innerHTML = msg;
    }

    this.CleanErrorMsg = function() {
        $("#errMsg").innerHTML = "";
    }

}


